bitel.billing.server.admin.integration.bean

## Class RegisterLoadPattern

- java.lang.Object
- - bitel.billing.server.admin.integration.bean.RegisterLoadPattern

-     public class RegisterLoadPattern
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `TYPE_DBF`
    `static int` | `TYPE_TXT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegisterLoadPattern(Setup setup, java.lang.String key, java.lang.String title, int fileType, java.lang.String[] balanceItemTypes, int registerType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getKey()`
    `java.lang.String` | `getPatternTitle()`
    `java.lang.String` | `getPaymentComment()`
    `int` | `getRegisterType()`
    `java.lang.String` | `getTitle()`
    `Register` | `loadRegister(java.sql.Connection con, RegisterLoadData data)`
    `java.lang.String` | `processString(java.sql.Connection con, RegisterItemManager itemManager, Register register, java.lang.String[] line, java.util.Date pdate)`
    `void` | `setBalanceItemTypes(int[] paymentType)`
    `void` | `setCommentDelimiter(java.lang.String commentDelimiter)`
    `void` | `setCommentPositions(java.lang.String[] commentPositions)`
    `void` | `setContractId(int contractId)`
    `void` | `setDateFormat(java.text.DateFormat dateFormat)`
    `void` | `setDatePos(int datePos)`
    `void` | `setEncoding(java.lang.String encoding)`
    `void` | `setIdPos(int idPos)`
    `void` | `setPattern(java.util.regex.Pattern pattern)`
    `void` | `setPatternTitle(java.lang.String patternTitle)`
    `void` | `setRegisterType(int registerType)`
    `void` | `setSearchContracts(bitel.billing.server.contract.bean.find.SearchContracts contractFinders)`
    `void` | `setSummaPos(int[] summaPos)`
    `void` | `setSummaPos(java.lang.String[] summaPos)`
    `void` | `setSummaReplace(java.lang.String summaReplace)`
    `void` | `setType(int type)`
    `void` | `setZeroEncoding(boolean zeroEncoding)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TYPE_TXT

          public static final int TYPE_TXT

      See Also:
        Constant Field Values

    - #### TYPE_DBF

          public static final int TYPE_DBF

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RegisterLoadPattern

          public RegisterLoadPattern(Setup setup,
                                     java.lang.String key,
                                     java.lang.String title,
                                     int fileType,
                                     java.lang.String[] balanceItemTypes,
                                     int registerType)

  - ### Method Detail

    - #### loadRegister

          public Register loadRegister(java.sql.Connection con,
                                       RegisterLoadData data)

    - #### processString

          public java.lang.String processString(java.sql.Connection con,
                                                RegisterItemManager itemManager,
                                                Register register,
                                                java.lang.String[] line,
                                                java.util.Date pdate)

    - #### getKey

          public java.lang.String getKey()

    - #### setEncoding

          public void setEncoding(java.lang.String encoding)

    - #### setSummaPos

          public void setSummaPos(int[] summaPos)

    - #### setSummaPos

          public void setSummaPos(java.lang.String[] summaPos)

    - #### setIdPos

          public void setIdPos(int idPos)

    - #### setContractId

          public void setContractId(int contractId)

    - #### setCommentPositions

          public void setCommentPositions(java.lang.String[] commentPositions)

    - #### setSearchContracts

          public void setSearchContracts(bitel.billing.server.contract.bean.find.SearchContracts contractFinders)

    - #### getPaymentComment

          public java.lang.String getPaymentComment()

    - #### setSummaReplace

          public void setSummaReplace(java.lang.String summaReplace)

    - #### setType

          public void setType(int type)

    - #### setPattern

          public void setPattern(java.util.regex.Pattern pattern)

    - #### setBalanceItemTypes

          public void setBalanceItemTypes(int[] paymentType)

    - #### getTitle

          public java.lang.String getTitle()

    - #### setDatePos

          public void setDatePos(int datePos)

    - #### setDateFormat

          public void setDateFormat(java.text.DateFormat dateFormat)

    - #### setZeroEncoding

          public void setZeroEncoding(boolean zeroEncoding)

    - #### getPatternTitle

          public java.lang.String getPatternTitle()

    - #### setPatternTitle

          public void setPatternTitle(java.lang.String patternTitle)

    - #### getRegisterType

          public int getRegisterType()

    - #### setRegisterType

          public void setRegisterType(int registerType)

    - #### setCommentDelimiter

          public void setCommentDelimiter(java.lang.String commentDelimiter)